curl --request POST \
--url https://api.debbiecollect.com/v1/{tenantId}/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isCompany": false,
"referenceId": "123",
"users": [
{
"contact": true,
"lang": "da",
"relation": "debtor",
"details": {
"name": "Hans Hansen",
"email": "example@debbie.dk",
"phone": {
"locale": "45",
"number": "12345678"
},
"address": {
"address": "Applebys Plads 7, 1.",
"coAddress": null,
"city": "København K",
"zipcode": "1411"
},
"cpr": "1209981919",
"cvr": null
}
}
]
}
'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/customers"
payload = {
"isCompany": False,
"referenceId": "123",
"users": [
{
"contact": True,
"lang": "da",
"relation": "debtor",
"details": {
"name": "Hans Hansen",
"email": "example@debbie.dk",
"phone": {
"locale": "45",
"number": "12345678"
},
"address": {
"address": "Applebys Plads 7, 1.",
"coAddress": None,
"city": "København K",
"zipcode": "1411"
},
"cpr": "1209981919",
"cvr": None
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isCompany: false,
referenceId: '123',
users: [
{
contact: true,
lang: 'da',
relation: 'debtor',
details: {
name: 'Hans Hansen',
email: 'example@debbie.dk',
phone: {locale: '45', number: '12345678'},
address: {
address: 'Applebys Plads 7, 1.',
coAddress: null,
city: 'København K',
zipcode: '1411'
},
cpr: '1209981919',
cvr: null
}
}
]
})
};
fetch('https://api.debbiecollect.com/v1/{tenantId}/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.debbiecollect.com/v1/{tenantId}/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'isCompany' => false,
'referenceId' => '123',
'users' => [
[
'contact' => true,
'lang' => 'da',
'relation' => 'debtor',
'details' => [
'name' => 'Hans Hansen',
'email' => 'example@debbie.dk',
'phone' => [
'locale' => '45',
'number' => '12345678'
],
'address' => [
'address' => 'Applebys Plads 7, 1.',
'coAddress' => null,
'city' => 'København K',
'zipcode' => '1411'
],
'cpr' => '1209981919',
'cvr' => null
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.debbiecollect.com/v1/{tenantId}/customers"
payload := strings.NewReader("{\n \"isCompany\": false,\n \"referenceId\": \"123\",\n \"users\": [\n {\n \"contact\": true,\n \"lang\": \"da\",\n \"relation\": \"debtor\",\n \"details\": {\n \"name\": \"Hans Hansen\",\n \"email\": \"example@debbie.dk\",\n \"phone\": {\n \"locale\": \"45\",\n \"number\": \"12345678\"\n },\n \"address\": {\n \"address\": \"Applebys Plads 7, 1.\",\n \"coAddress\": null,\n \"city\": \"København K\",\n \"zipcode\": \"1411\"\n },\n \"cpr\": \"1209981919\",\n \"cvr\": null\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.debbiecollect.com/v1/{tenantId}/customers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"isCompany\": false,\n \"referenceId\": \"123\",\n \"users\": [\n {\n \"contact\": true,\n \"lang\": \"da\",\n \"relation\": \"debtor\",\n \"details\": {\n \"name\": \"Hans Hansen\",\n \"email\": \"example@debbie.dk\",\n \"phone\": {\n \"locale\": \"45\",\n \"number\": \"12345678\"\n },\n \"address\": {\n \"address\": \"Applebys Plads 7, 1.\",\n \"coAddress\": null,\n \"city\": \"København K\",\n \"zipcode\": \"1411\"\n },\n \"cpr\": \"1209981919\",\n \"cvr\": null\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.debbiecollect.com/v1/{tenantId}/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"isCompany\": false,\n \"referenceId\": \"123\",\n \"users\": [\n {\n \"contact\": true,\n \"lang\": \"da\",\n \"relation\": \"debtor\",\n \"details\": {\n \"name\": \"Hans Hansen\",\n \"email\": \"example@debbie.dk\",\n \"phone\": {\n \"locale\": \"45\",\n \"number\": \"12345678\"\n },\n \"address\": {\n \"address\": \"Applebys Plads 7, 1.\",\n \"coAddress\": null,\n \"city\": \"København K\",\n \"zipcode\": \"1411\"\n },\n \"cpr\": \"1209981919\",\n \"cvr\": null\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Create customer
Create a new customer under your creditor. A customer represents your end-customer relationship and holds the contact details of the debtor.
Required scope: write:customers
curl --request POST \
--url https://api.debbiecollect.com/v1/{tenantId}/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isCompany": false,
"referenceId": "123",
"users": [
{
"contact": true,
"lang": "da",
"relation": "debtor",
"details": {
"name": "Hans Hansen",
"email": "example@debbie.dk",
"phone": {
"locale": "45",
"number": "12345678"
},
"address": {
"address": "Applebys Plads 7, 1.",
"coAddress": null,
"city": "København K",
"zipcode": "1411"
},
"cpr": "1209981919",
"cvr": null
}
}
]
}
'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/customers"
payload = {
"isCompany": False,
"referenceId": "123",
"users": [
{
"contact": True,
"lang": "da",
"relation": "debtor",
"details": {
"name": "Hans Hansen",
"email": "example@debbie.dk",
"phone": {
"locale": "45",
"number": "12345678"
},
"address": {
"address": "Applebys Plads 7, 1.",
"coAddress": None,
"city": "København K",
"zipcode": "1411"
},
"cpr": "1209981919",
"cvr": None
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isCompany: false,
referenceId: '123',
users: [
{
contact: true,
lang: 'da',
relation: 'debtor',
details: {
name: 'Hans Hansen',
email: 'example@debbie.dk',
phone: {locale: '45', number: '12345678'},
address: {
address: 'Applebys Plads 7, 1.',
coAddress: null,
city: 'København K',
zipcode: '1411'
},
cpr: '1209981919',
cvr: null
}
}
]
})
};
fetch('https://api.debbiecollect.com/v1/{tenantId}/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.debbiecollect.com/v1/{tenantId}/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'isCompany' => false,
'referenceId' => '123',
'users' => [
[
'contact' => true,
'lang' => 'da',
'relation' => 'debtor',
'details' => [
'name' => 'Hans Hansen',
'email' => 'example@debbie.dk',
'phone' => [
'locale' => '45',
'number' => '12345678'
],
'address' => [
'address' => 'Applebys Plads 7, 1.',
'coAddress' => null,
'city' => 'København K',
'zipcode' => '1411'
],
'cpr' => '1209981919',
'cvr' => null
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.debbiecollect.com/v1/{tenantId}/customers"
payload := strings.NewReader("{\n \"isCompany\": false,\n \"referenceId\": \"123\",\n \"users\": [\n {\n \"contact\": true,\n \"lang\": \"da\",\n \"relation\": \"debtor\",\n \"details\": {\n \"name\": \"Hans Hansen\",\n \"email\": \"example@debbie.dk\",\n \"phone\": {\n \"locale\": \"45\",\n \"number\": \"12345678\"\n },\n \"address\": {\n \"address\": \"Applebys Plads 7, 1.\",\n \"coAddress\": null,\n \"city\": \"København K\",\n \"zipcode\": \"1411\"\n },\n \"cpr\": \"1209981919\",\n \"cvr\": null\n }\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.debbiecollect.com/v1/{tenantId}/customers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"isCompany\": false,\n \"referenceId\": \"123\",\n \"users\": [\n {\n \"contact\": true,\n \"lang\": \"da\",\n \"relation\": \"debtor\",\n \"details\": {\n \"name\": \"Hans Hansen\",\n \"email\": \"example@debbie.dk\",\n \"phone\": {\n \"locale\": \"45\",\n \"number\": \"12345678\"\n },\n \"address\": {\n \"address\": \"Applebys Plads 7, 1.\",\n \"coAddress\": null,\n \"city\": \"København K\",\n \"zipcode\": \"1411\"\n },\n \"cpr\": \"1209981919\",\n \"cvr\": null\n }\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.debbiecollect.com/v1/{tenantId}/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"isCompany\": false,\n \"referenceId\": \"123\",\n \"users\": [\n {\n \"contact\": true,\n \"lang\": \"da\",\n \"relation\": \"debtor\",\n \"details\": {\n \"name\": \"Hans Hansen\",\n \"email\": \"example@debbie.dk\",\n \"phone\": {\n \"locale\": \"45\",\n \"number\": \"12345678\"\n },\n \"address\": {\n \"address\": \"Applebys Plads 7, 1.\",\n \"coAddress\": null,\n \"city\": \"København K\",\n \"zipcode\": \"1411\"\n },\n \"cpr\": \"1209981919\",\n \"cvr\": null\n }\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
Authentication with an API key can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}. API keys are issued and revoked directly from the creditor portal under Developers > API.
Path Parameters
Id of your debt collection partner's tenant. You can find it on the API page in the creditor portal.
Query Parameters
Your creditor id. You can find it on the API page in the creditor portal.
Body
New customer object
Is the customer a company
Your reference id for the customer. Typically the customer number from your own system.
Show child attributes
Show child attributes
Optional customer properties keyed by handle. The property types must already be configured for customers by the tenant. Customer properties are not scoped to case groups and are shared across all cases on the customer. Values must match each configured type.
Show child attributes
Show child attributes
{ "segment": "business", "priority": false }
Response
Successful operation
Id of the customer